QT -= gui

CONFIG += c++11 console
CONFIG -= app_bundle

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
        board.cpp \
        king.cpp \
        knight.cpp \
        main.cpp \
        pawn.cpp \
        piece.cpp \
    bishop.cpp \
    rook.cpp \
    queen.cpp

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

HEADERS += \
    board.h \
    king.h \
    knight.h \
    pawn.h \
    piece.h \
    utils.h \
    bishop.h \
    rook.h \
    queen.h
